<?php

$default_padding = carbon_get_post_meta( $post_id, 'qp_default_padding' );

$padding_top     = carbon_get_post_meta( $post_id, 'qp_padding_top' );
$padding_bottom  = carbon_get_post_meta( $post_id, 'qp_padding_bottom' );
$padding_left    = carbon_get_post_meta( $post_id, 'qp_padding_left' );
$padding_right   = carbon_get_post_meta( $post_id, 'qp_padding_right' );

if ( empty( $padding_top ) ) {
	$padding_top = '0';
}

if ( empty( $padding_bottom ) ) {
	$padding_bottom = '0';
}

if ( empty( $padding_left ) ) {
	$padding_left = '0';
}

if ( empty( $padding_right ) ) {
	$padding_right = '0';
}

$padding_style = '';

if ( empty( $default_padding ) ) {
	$padding_style   = sprintf( 'padding: %s %s %s %s', esc_html( $padding_top ), esc_html( $padding_right ), esc_html( $padding_bottom ), esc_html( $padding_left ) );
}